/***********************************************************
        	      (C) Copyright 1993
		Curtin University of Technology
		    Perth Western Australia



 This software is provided as is without any warranty express
 or implied.  Curtin University make no representation as to its
 suitability for any purpose whatsoever.

 Permission to use, modify or copy this software and its
 documentation is hereby granted to the source license holder.
 It is an express condition of such permission that the user
 accepts all responsibility for the use of the software and
 further that:

 1.    this notice appears in any copies of the software and the
       supporting documentation; and

 2.    the name of Curtin University not be used in any
       advertising or publicity pertaining to the software nor
       used to endorse or promote any product derived from this
       software without prior specific written permission.

 3.    the software in source form may not be given to any
       party other than those listed on the source license.

******************************************************************/
#include "geotraceman.h"

XtAppContext appContext;
Widget  toplevel;

/*
 * Global graphics data
 */
Display *display;
Screen *screen;
Window  root;

Pixmap tick_pixmap;

GC gc_inverse;
Drawable drawable;

int     screen_width;
int     screen_height;

/*String  manfCodes;*/

char   *prog_name;

Boolean page_begin;			/*flag to put postscript infoat top */
int	ps_color;			/*the color for each section*/
Boolean nm_colour_dump;		       /* colour ps dumps? */
int     nm_page_type;		       /* postcript page type */
int     nm_display_type;	       /* colour, grey or mono */
Boolean	page_flag;			/*flag to put all map on the same page */




char   *nm_postscript_output_file;
char   *device;


/* ~~~~~~~~~~~~ Geotraceman variables that will stay */

/* Map status global */
struct Map_State_Struct ms;     /* Holds all details of the current map state */

/* Global structures containing the maps themselves */
Region_Struct *cil_map;		/* Coastline Data */
Region_Struct *riv_map;		/* River Data */
Region_Struct *pdy_map;		/* Data of political boundaries */

/* Trace related globals */
Traces_Status_Struct ts;	/* Contains the trace status, and the trace info */

Boolean batchmode;

/* ~~~~~~~~~~~~~~~~~~~~~~~~~*/



