/*
 *      @(#)macros.h	1.4     6/10/93
 */

/*
 * misc macros
 */

#define NM_NEW( type)		((type *) nm_util_malloc( (unsigned) sizeof( type)))

#define ACTION( NAME)	static void NAME(w,event,params,num_params) \
	Widget w; \
	XEvent *event; \
	String *params; \
	Cardinal *num_params;

#define e_cmp(a, b) (bcmp(a, b, 6))
#define e_copy(a, b) (bcopy(a, b, 6))

#define sqr(t)  ((t) * (t))

/* Straight from the Xt manual... */
#define done(VALUE,TYPE)\
{								\
	if (toVal->addr != NULL) {				\
		if (toVal->size < sizeof(TYPE)) {		\
			toVal->size = sizeof(TYPE);		\
			return(False);				\
		}						\
		*(TYPE *)(toVal->addr) = (VALUE);		\
	} else {						\
		static TYPE static_val;				\
		static_val = (VALUE);				\
		toVal->addr = (XtPointer)&static_val;		\
	}							\
	toVal->size = sizeof(TYPE);				\
	return(True);						\
}
